Sign in

Create Config

POST https://{organization}.myguper.com/api/register/tier/config

Creates a new tier configuration. Each organization can run more than one program in parallel (e.g. customer tier + collaborator tier).

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "name": "Programa Guper",
    "levels": [
        {
            "name": "Silver",
            "minPoints": 1000
        }
    ],
    "sources": "{\"rewardCampaign\": {\"multiplier\": 1, \"expiresInDays\": 365, \"campaigns\": [12, 40]}}",
    "isActive": true,                                           // optional
    "autoEnrollOnOptIn": true                                   // optional
}

Responses

{
    "id":        2,
    "name":      "Colaboradores Guper",
    "isActive":  true,
    "createdAt": "2026-05-01T12:34:56-03:00"
}
Copied to clipboard